###############################################################################
# DonationPageSettings.pm                                                     #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 2.7.00                                                 #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2016 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by:  The YaBB Development Team                                     #
#               with assistance from the YaBB community.                      #
###############################################################################
# Written by Derek Barnstorm                                                  #
# Updated for 2.7.00 by D.A.Rorabaugh                                         #
###############################################################################

$donationpagesettingspmver = 'YaBB 2.7.00 $Revision: 0.8 $';
if ($action eq 'detailedversion') { return 1; }

if (!-e("$vardir/Mods/DonationPage.txt")) { DonationPage2(); }
require "$vardir/Mods/DonationPage.txt";

LoadLanguage('Mods/DonationPage');
my $donate_language = $FORM{'donate_language'} || $INFO{'donate_language'} || $lang;

sub DonationPage {
    is_admin_or_gmod();

    if    (!$en_donationpage)         { $donpage_sel1 = ' selected="selected"'; }
    elsif ($en_donationpage == 1)     { $donpage_sel2 = ' selected="selected"'; }
    elsif ($en_donationpage == 2)     { $donpage_sel3 = ' selected="selected"'; }

    $donation_content =~ s/<br \/>/\n/gsm;

    $yymain .= qq~
    <div class="bordercolor rightboxdiv">
        <table class="border-space pad-cell" style="margin-bottom: .5em;">
            <tr>
                <td class="titlebg">$admin_img{'prefimg'} <b>$donate_txt{'100'}</b></td>
            </tr><tr>
                <td class="catbg"><span class="small">$donate_txt{'101'} <i>$donate_txt{'102'}</i></span></td>
            </tr>
        </table>
    </div>
<form action="$adminurl?action=donationpage2" method="post">
    <div class="bordercolor rightboxdiv">
        <table class="border-space pad-cell" style="margin-bottom: .5em;">
            <colgroup>
                <col width="50%" />
                <col width="50%" />
            </colgroup>
            <tr>
                <th class="titlebg" colspan="2">
                    <img src="$modimgurl/donate.gif" alt="" /> $mod_list{'donate'}
                </th>
            </tr><tr>
                <td class="catbg" colspan="2">
                    <span class="small">$donateadmin_txt{'01'}</span>
                </td>
            </tr><tr>
                <td class="windowbg2">
                    <label for="en_donationpage">$donateadmin_txt{'02'}:</label>
                </td>
                <td class="windowbg2">
                    <select name="en_donationpage" id="en_donationpage" size="1">
                        <option value="0"$donpage_sel1>$donateadmin_txt{'03'}</option>
                        <option value="2"$donpage_sel2>$donateadmin_txt{'04'}</option>
                        <option value="1"$donpage_sel3>$donateadmin_txt{'05'}</option>
                    </select>
                </td>
            </tr><tr>
                <td class="windowbg2">
                    <label for="donation_id">$donateadmin_txt{'06'}:<br /></label>
                </td>
                <td class="windowbg2">
                    <input type="text" name="donation_id" id="donation_id" size="35" value="$donation_id" />
                </td>
            </tr><tr>
                <td class="windowbg2">
                    <label for="donation_currency">$donateadmin_txt{'07'}:<br /><span class="small">$donateadmin_txt{'08'}</span></label>
                </td>
                <td class="windowbg2">
                    <select name="donation_currency" id="donation_currency" size="1">~;

    for my $key ( sort keys %admin_money ) {
        my $sel = q{};
        if ($donation_currency eq $key) { $sel = ' selected="selected"'; }
        $yymain .= qq~                        <option value="$key"$sel>$key ($admin_money{$key})</option>\n~;
    }
    $yymain .= qq~
                    </select>
                </td>
            </tr><tr>
                <td class="windowbg2">
                    <label for="donation_amount">$donateadmin_txt{'32'}:<br /><span class="small">$donateadmin_txt{'33'}</span></label>
                </td>
                <td class="windowbg2">
                    <input type="text" name="donation_amount" id="donation_amount" size="10" value="$donation_amount" />
                </td>
            </tr><tr>
                <td class="catbg" colspan="2">
                    <span class="small">$donateadmin_txt{'36'}</span>
                </td>
            </tr><tr>
                <td class="windowbg2">
                    <label for="donation_header_color">$donateadmin_txt{'37'}:<br /><span class="small">$donateadmin_txt{'38'}<br />$donateadmin_txt{'43'}</span></label>
                </td>
                <td class="windowbg2">
                    #<input type="text" size="6" maxlength="6" name="donation_header_color" id="donation_header_color" value="$donation_header_color" onkeyup="previewColor(this.value);" /> <span id="donation_header_color2" style="background-color: #$donation_header_color">&nbsp; &nbsp; &nbsp;</span> <img src="$imagesdir/palette1.gif" style="cursor: pointer; vtop" onclick="window.open('$scripturl?action=palette;task=templ', '', 'height=308,width=302,menubar=no,toolbar=no,scrollbars=no')" alt="" />
                    <script type="text/javascript">
                        function previewColor(color) {
                            document.getElementById('donation_header_color2').style.background = color;
                            color = color.replace(/#/, '');
                            document.getElementsByName("donation_header_color")[0].value = color;
                        }
                    </script>
                </td>
            </tr><tr>
                <td class="windowbg2">
                    <label for="donation_border_color">$donateadmin_txt{'39'}:<br /><span class="small">$donateadmin_txt{'40'}<br />$donateadmin_txt{'43'}</span></label>
                </td>
                <td class="windowbg2">
                    #<input type="text" size="6" maxlength="6" name="donation_border_color" id="donation_border_color" value="$donation_border_color" onkeyup="previewColor_0(this.value);" /> <span id="donation_border_color2" style="background-color: #$donation_border_color">&nbsp; &nbsp; &nbsp;</span> <img src="$imagesdir/palette1.gif" style="cursor: pointer; vtop" onclick="window.open('$scripturl?action=palette;task=templ_0', '', 'height=308,width=302,menubar=no,toolbar=no,scrollbars=no')" alt="" />
                    <script type="text/javascript">
                        function previewColor_0(color) {
                            document.getElementById('donation_border_color2').style.background = color;
                            color = color.replace(/#/, '');
                            document.getElementsByName("donation_border_color")[0].value = color;
                        }
                    </script>
                </td>
            </tr><tr>
                <td class="windowbg2">
                    <label for="donation_bg_color">$donateadmin_txt{'41'}:<br /><span class="small">$donateadmin_txt{'42'}<br />$donateadmin_txt{'43'}</span></label>
                </td>
                <td class="windowbg2">
                    #<input type="text" size="6" maxlength="6" name="donation_bg_color" id="donation_bg_color" value="$donation_bg_color" onkeyup="previewColor_1(this.value);" /> <span id="donation_bg_color2" style="background-color: #$donation_bg_color">&nbsp; &nbsp; &nbsp;</span> <img src="$imagesdir/palette1.gif" style="cursor: pointer; vtop" onclick="window.open('$scripturl?action=palette;task=templ_1', '', 'height=308,width=302,menubar=no,toolbar=no,scrollbars=no')" alt="" />
                    <script type="text/javascript">
                        function previewColor_1(color) {
                            document.getElementById('donation_bg_color2').style.background = color;
                            color = color.replace(/#/, '');
                            document.getElementsByName("donation_bg_color")[0].value = color;
                        }
                    </script>
                </td>
            </tr>
        </table>
    </div>
    <div class="bordercolor rightboxdiv">
        <table class="border-space pad-cell" style="margin-bottom: .5em;">
            <tr>
                <th class="titlebg">$admin_img{'prefimg'} $admin_txt{'10'}</th>
            </tr><tr>
                <td class="catbg center">
                    <input class="button" type="submit" value="$admin_txt{'10'}" />
                </td>
            </tr>
        </table>
    </div>
</form>~;
        # Find all the languages
        opendir LNGDIR, $langdir;
        my @langitems = readdir LNGDIR;
        closedir LNGDIR;
        foreach my $item ( sort { lc($a) cmp lc $b } @langitems ) {
            if (   -d "$langdir/$item"
                && $item =~ m{\A[0-9a-zA-Z_\#\%\-\:\+\?\$\&\~\,\@/]+\Z}sm
               )
            {
                my $displang = $item;
                $displang =~ s/(.+?)\_(.+?)$/$1 ($2)/gism;
               if ( $donate_language eq $displang ) { $drawnldirs .= qq~<option value="$item" selected="selected">$displang</option>\n~;}
               else { $drawnldirs .= qq~
                    <option value="$item">$displang</option>~;
                }
            }
        }
$yymain .= qq~
    <div class="bordercolor rightboxdiv">
        <table class="border-space pad-cell" style="margin-bottom: .5em;">
            <colgroup>
                <col width="50%" />
                <col width="50%" />
            </colgroup>
            <tr>
                <th class="titlebg" colspan="2">
                    <img src="$modimgurl/donate.gif" alt="" /> $donateadmin_txt{'34'}
                </th>
            </tr>
            <tr style="text-align: left; vertical-align: top;">
                <td class="windowbg2 vtop">
                    <label for="donation_content">$donateadmin_txt{'34'}:<br /><span class="small">$donateadmin_txt{'35'}</span></label><br />
                    <form action="$adminurl?action=donationpage" method="post" enctype="application/x-www-form-urlencoded">
                        <select name="donate_language" id="donate_language" size="1">
                            $drawnldirs
                        </select>
                        <input type="submit" value="$admin_txt{'462'}" class="button" />
                    </form>~;

        if (-e "$langdir/$donate_language/Mods/donate.txt") {
            fopen(DONATE, "<$langdir/$donate_language/Mods/donate.txt") || fatal_error('cannot_open',"$langdir/Mods/$donate_language/donate.txt", 1);
            $donation_contenta = <DONATE>;
            fclose(DONATE);
        }
        $yymain .= qq~
            </td>
                 <td class="windowbg2">
                 <form action="$adminurl?action=donationpage3" method="post">
                    <textarea name="donation_content" id="donation_content" cols="60" rows="10">$donation_contenta</textarea>
                    <input type="hidden" name="donate_language" value="$donate_language" />
                    <br /><input class="button" type="submit" value="$admin_txt{'10'}" />
                </form>
                </td>
            </tr>
        </table>
    </div>
~;

    $yytitle = $mod_list{'donate1'};
    $action_area = "donationpage";
    AdminTemplate();
    exit;
}

sub DonationPage2 {

    is_admin_or_gmod();

    $en_donationpage = $FORM{'en_donationpage'} || 0;
    $donation_currency = $FORM{'donation_currency'} || 'USD';
    $donation_id = $FORM{'donation_id'};
    $donation_content = $FORM{'donation_content'};
    $donation_amount = $FORM{'donation_amount'} || '5.00';
    $donation_header_color = $FORM{'donation_header_color'} || 'ffffff';
    $donation_border_color = $FORM{'donation_border_color'} || 'ffffff';
    $donation_bg_color = $FORM{'donation_bg_color'} || 'ffffff';
    FromChars($donation_content);
    ToHTML($donation_content);
    $donation_content =~ s/[\n\r]{1,2}/<br \/>/gsm;
    ToChars($donation_content);

    my $setfile = <<EOF;
###############################################################################
# DonationPage.txt (Donation Page configurations)                             #
###############################################################################

\$en_donationpage       = $en_donationpage;
\$donation_currency     = $donation_currency;
\$donation_id           = '$donation_id';
\$donation_amount       = "$donation_amount";
\$donation_header_color = "$donation_header_color";
\$donation_border_color = "$donation_border_color";
\$donation_bg_color     = "$donation_bg_color";

1;
EOF

    fopen(FILE, ">$vardir/Mods/DonationPage.txt");
    print {FILE} $setfile;
    fclose(FILE);

    require Admin::NewSettings;
    SaveSettingsTo('Settings.pm');

    if ($action eq 'donationpage2') {
        $yySetLocation = qq~$adminurl?action=donationpage~;
        redirectexit();
    }
    return;
}

sub DonationPage3 {
    is_admin_or_gmod();

    $item = $FORM{'donate_language'};
    $donation_content = $FORM{'donation_content'};
    FromChars($donation_content);
    ToHTML($donation_content);
    $donation_content =~ s/[\n\r]{1,2}/<br \/>/gsm;
    ToChars($donation_content);

    fopen(FILE2, ">$langdir/$item/Mods/donate.txt");
    print {FILE2} $donation_content or croak "cannot print $langdir/$item/Mods/donate.txt";
    fclose(FILE2);

    if ($action eq 'donationpage3') {
        $yySetLocation = qq~$adminurl?action=donationpage~;
        redirectexit();
    }
    return;
}

1;